{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
        }
    },
    mounted:function(){

    },
    created:function(){
      /*console.log("xxxxxxxxxxxxxxxxxxxxyyy");
      this.$store.commit('increment');
      console.log(this.count);
      console.log("xxxxxxxxxxxxxxxxxxxxyyy");*/
    },
    methods:{
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(val);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },
       rowClick:function(row,key){
              if(key=="createContainer"){
              this.modelName="container";
              var url=this.getUrl("createData");
                /*console.log("url==="+url);*/
              this.$root.postReq(url,row).then(rd=>{
                  /*console.log(rd);*/
                    if(rd.status==0){
                      this.$message({
                           type: 'success',
                           message: '创建容器成功'
                         });
                      }else{
                        this.$message.warning(`操作失败，请刷新页面后重新操作`);
                      }
                  });
              }
       },
       fetchData:function(){

       }
    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb-imagearch"
}
